#!/bin/bash
#rd_fuxiong_pan
#设置初始参数,最好全部用引号包含,避免出现特殊字符串导致的断片
#脚本只要发生错误，就终止执行
set -e
#在运行结果之前，先输出执行的那一行命令
#set -x
jmxremote_port=5553
jmxhttp_port=5554
#如果存在环境jmxport，则使用环境变量值
if [ $JMX_PORT ]; then
    jmxremote_port=$JMX_PORT
fi
#如果存在环境jmxhttpport，则使用环境变量值
if [ $JMX_HTTP_PORT ]; then
    jmxhttp_port=$JMX_HTTP_PORT
fi
export JVM_JMX_OPTS=" -Dcom.sun.management.jmxremote.port=$jmxremote_port -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false -DJMX_HTTP_PORT=$jmxhttp_port  -DJMX_HTTP_ADMIN_USER=admin -DJMX_HTTP_ADMIN_PASSWORD=admin"